XML::DOM::Notation(3)

NAME
XML::DOM::Notation - An XML NOTATION in XML::DOM

DESCRIPTION
XML::DOM::Notation extends XML::DOM::Node.

This node represents a Notation, e.g.

 <!NOTATION gs SYSTEM "GhostScript">

 <!NOTATION name PUBLIC "pubId">

 <!NOTATION name PUBLIC "pubId" "sysId">

 <!NOTATION name SYSTEM "sysId">

  METHODS

getName and setName (name)
    Returns (or sets) the Notation name, which is the first token after the NOTATION keyword.

getSysId and setSysId (sysId)
    Returns (or sets) the system ID, which is the token after the optional SYSTEM keyword.

getPubId and setPubId (pubId)
    Returns (or sets) the public ID, which is the token after the optional PUBLIC keyword.

getBase
    This is passed by XML::Parser in the Notation handler. I don't know what it is yet.

getNodeName
    Returns the same as getName.